<?php 
require_once("../includes/bootstrap2.php");
$sesion=new sesion(); // inicio la sesion

if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total = 0;
	$responce->records = 0;
	echo json_encode($responce);
	exit();
}

$academia=bootstrap::initBd($sesion->get('anio'));

$nombre_grupo=$sesion->getVar('configuracion.nombres_grupos');


$page = $_REQUEST['page']; // get the requested page
$limit = $_REQUEST['rows']; // get how many rows we want to have into the grid
$sidx = $_REQUEST['sidx']; // get index row - i.e. user click to sort
$sord = $_REQUEST['sord']; // get the direction
$id = $_REQUEST['id'];
if(!$sidx) $sidx =1;
if(!$sord) $sord ="asc";
if(!$limit) $limit =10;


$wh = (empty($id) || $id=="0x") ? "" : " and view_datos_grupos.cod_sede=".$id;

$searchOn = Strip($_REQUEST['_search']);
if($searchOn=='true') {
	$fld = Strip($_REQUEST['searchField']);
	$fldata = Strip($_REQUEST['searchString']);
	$foper = Strip($_REQUEST['searchOper']);
	$wh .= " AND ".$fld;
	$wh .=construcWhSimple($foper,$fldata);
}

		$start = $limit*$page - $limit; // do not put $limit*($page - 1)
		if ($start<0) $start = 0;
		
		//$cons="SELECT COUNT(*) AS count FROM adm_administrativos WHERE 1=1 ".$wh;
		$SQL = "SELECT DISTINCT SQL_CALC_FOUND_ROWS
			aca_asignaturasxgrupos.cod_asigxgrupo,
			pro_profesores.cod_profesor,
			pro_profesores.ide_profesor,
			lcase(aca_asignaturas.nom_asi) as nom_asi,
			view_datos_grupos.nom_jornada,
			lcase(nom_sede) as nom_sede,
			CONCAT_WS(' ',view_datos_grupos.nom_grado,view_datos_grupos.$nombre_grupo) as nom_grup,
			aca_asignaturasxgrupos.ihs,
			lcase(CONCAT_WS(' ',pro_profesores.ap1_pro,pro_profesores.ap2_pro,pro_profesores.no1_pro,pro_profesores.no2_pro)) AS nom_ape_pro
		FROM
			aca_asignaturasxgrupos
			INNER JOIN pro_profesores 
				ON (aca_asignaturasxgrupos.cod_profesor = pro_profesores.cod_profesor)
			INNER JOIN view_datos_grupos 
				ON (aca_asignaturasxgrupos.cod_grupo = view_datos_grupos.cod_grupo)
			INNER JOIN aca_asignaturas 
				ON (aca_asignaturasxgrupos.cod_asi = aca_asignaturas.cod_asi)
			WHERE 1=1".$wh." ORDER BY $sidx $sord, orden, $nombre_grupo asc  LIMIT $start , $limit";
		
		$academia->instruccion($SQL,1);
//		echo $SQL;	
		$count = $academia->totReg();
		
		
		if( $count >0 ) {
			$total_pages = ceil($count/$limit);
		} else {
			$total_pages = 0;
		}
		
        if ($page > $total_pages) $page=$total_pages;	
		
        //$responce->sql=$SQL;
        $responce->page = $page;
        $responce->total = $total_pages;
        $responce->records = $count;
		
        $i=0;
		while($row=$academia->extraer_registro()){
			$responce->rows[$i]['id']=$row['cod_asigxgrupo'];
			$responce->rows[$i]['cell']=array($row['ide_profesor']." - ".ucwords($row["nom_ape_pro"]),ucfirst($row["nom_asi"]),ucwords($row['nom_sede']),$row["nom_jornada"],$row["nom_grup"],$row["ihs"]);
            $i++;
		}
		$academia->liberar();
        echo json_encode($responce);
		
$academia->cerrar();

?>
